#!/bin/sh

. /etc/profile > /dev/null 2>&1

REVLIB_DIR=./revlib
if [ "`hostname`" == "guenegaud" ]; then
	REVLIB_DIR=/var/local/storage/revlib
fi

PUB_DEPOTS="freesoftware pub test"

for revlib in `tla my-revision-library`; do
	tla my-revision-library -d $revlib
done

for archive in `tla archives --names`; do
mode=priv
for depot in $PUB_DEPOTS; do
	if [ `echo "$archive" | grep $depot` ]; then
		mode=pub
	fi
done
revlib="$REVLIB_DIR/$mode"
install -d $revlib
tla my-revision-library $revlib
for category in `tla categories --archive=$archive`; do
for branch in `tla branches --archive=$archive $category`; do
for version in `tla versions --archive=$archive $branch`; do
for revision in `tla revisions --archive=$archive $version`; do
tla library-add --archive=$archive $version--$revision
done
done
done
done
tla my-revision-library -d $revlib
done

